// Josh's Logger
// Minimal, robust, Modern (C++20) Logging Framework
// Created by Joshua O'Leary @ Redacted Software, June 2024
// Contact: josh@redacted.cc
// Contributors: william@redacted.cc maxi@redacted.cc
// This work is dedicated to the public domain.
#include "jlog/Logger.hpp"

int main()
{
    mcolor::windowsSaneify();
    jlog::GenericLogger Demo("demo", jlog::GlobalLogFile);
    Demo("No new demo yet");
    jlog::Info("dsadsd");
    jlog::Warning("dsadsd");
    jlog::Error("dsadsd");
    jlog::Fatal("dsadsd");
    jlog::Verbose("dsadsd");
    jlog::Debug("dsadsd");
    jlog::LibraryLogger libtest("JLog");
    libtest.Info("A");
    libtest.Warning("B");
    libtest.Debug("C");
    libtest.Error("D");
    libtest.Fatal("E");
    libtest.Verbose("G");
    libtest.EnableAll(false);
    libtest.Info("A2");
    libtest.Warning("B2");
    libtest.Debug("C2");
    libtest.Error("D2");
    libtest.Fatal("E2");
    libtest.Verbose("G2");

    return 0;
}

//Windows :(
#ifdef _WIN32
extern "C" {
    int wmain(int argc, wchar_t* argv[]) {
        return main();
    }
}
#endif